Bug 517660 - Changes for lowering capabilities project
Summary: Changes for lowering capabilities project
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 519823
TreeView+ depends on / blocked
 
Reported: 2009-08-15 18:57 UTC by Steve Grubb
Modified: 2009-10-07 14:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-05 10:14:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to drop capabilities (1.65 KB, patch)
2009-08-15 18:57 UTC, Steve Grubb
no flags Details | Diff
Patch to drop capabilities (1.65 KB, patch)
2009-08-16 12:20 UTC, Steve Grubb
no flags Details | Diff
Patch to drop capabilities (2.99 KB, patch)
2009-08-31 16:14 UTC, Steve Grubb
no flags Details | Diff

Description Steve Grubb 2009-08-15 18:57:37 UTC
Created attachment 357547 [details]
Patch to drop capabilities

Description of problem:
As part of the lowering capabilities project, we should drop all unnecessary
capabilities in bluetoothd.

Comment 1 Steve Grubb 2009-08-16 12:20:39 UTC
Created attachment 357568 [details]
Patch to drop capabilities

Forgot to clear the bounding set in previous patch.

Comment 2 Bastien Nocera 2009-08-17 09:05:43 UTC
Could you please send this upstream to the bluez mailing-list?
The address is linux-bluetooth@vger.kernel.org

Comment 3 Steve Grubb 2009-08-31 16:14:22 UTC
Created attachment 359286 [details]
Patch to drop capabilities

This patch reworks the configure part in order to be easier to upstream.

Comment 4 Steve Grubb 2009-08-31 16:23:29 UTC
Also, this patch needs to have Buildrequires: libcap-ng-devel added to the spec file.

Comment 5 Bastien Nocera 2009-09-16 14:12:06 UTC
Can you please make sure this gets sent upstream?

Note that the configure checks would be easier if libcap-ng installed a pkg-config file...

Comment 6 Steve Grubb 2009-09-16 14:20:11 UTC
Yes, I will send the patch upstream soon. I just finished a code review and have a few suggestions for upstream. I wanted to present the code review findings at about the same time as this patch while people are thinking about security fixes.

Comment 7 Steve Grubb 2009-09-25 20:53:47 UTC
Patch against 4.54 was sent upstream + some bug fixes.

Comment 8 Bastien Nocera 2009-10-05 10:14:41 UTC
Fixed in rawhide for F-13:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1727727


Note You need to log in before you can comment on or make changes to this bug.